<div class="ui modal form">
  <i class="close icon"></i>
  <div class="header">
    Crear
  </div>
  <div class="content">
    <%= form_for @career, url: admin_academic_career_career_path, method: :put, remote: true do |form| %>

      <%= error_message(@career) %>

      <div class="ui one column stackable grid">
        <div class="column">
          <strong>Nombre</strong>
          <%= form.text_field :name, required: true, autofocus: true %>
        </div>
      </div>

      <div class="ui two column stackable grid">
        <div class="column">
          <strong>Codigo</strong>
          <%= form.text_field :code, required: true %>
        </div>
        <div class="column">
          <strong>Créditos</strong>
          <%= form.number_field :credits, required: true %>
        </div>
      </div>

<!--      <div data-controller="nested-form">-->
<!--        <div class="ui one column stackable grid">-->
<!--          <div class="column">-->
<!--            <h3>Semestres</h3>-->
<!--          </div>-->
<!--        </div>-->

<!--        <div class="hr-divider"></div>-->

<!--        <div data-target="nested-form.add_task">-->
          <%#= link_to "Agregar", '#', data: { action: "nested-form#add_association" }, class: 'nested-add-field-button ui blue button' %>
<!--        </div>-->

<!--        <template data-target="nested-form.template">-->
          <%#= form.fields_for :semesters, Admin::Academic::Career::Semester.new, child_index: 'TEMPLATE_RECORD' do |semester| %>
            <%#= render 'admin/academic/career/careers/forms/edit_semesters', form: semester %>
          <%# end %>
<!--        </template>-->

        <%#= form.fields_for :semesters do |semester| %>
          <%#= render 'admin/academic/career/careers/forms/edit_semesters', form: semester %>
        <%# end %>

<!--      </div>-->

      <div class="hr-divider"></div>

      <div class="ui one column stackable grid">
        <div class="column">
          <%= form.submit 'Guardar', class: 'ui fluid green button' %>
        </div>
      </div>

    <% end %>
  </div>

</div>

<style>
  .nested-add-field-button {
    position: absolute;
    top: 17rem;
    right: 1.4rem;
  }
</style>
